AITELONG Products

FTTx Installation Tools

Aitelong is professional testing instruments supplier and manufacturer for fusion splicer, PON power meter, AC/DC load bank, and VRLA battery tester.

Product Category

FTTx Installation Tools

Aitelong is professional testing instruments supplier and manufacturer for fusion splicer, PON power meter, AC/DC load bank, and VRLA battery tester.

CT-42 Label Printer
FTTx Installation ToolsCT-42

CT-42 Label Printer

Rubber-coated housing design with 1.5 m drop resistance; sealed dust-proof cover ensures clean and stable printing

View Product
SAT-02B Optical Fiber Splicing Tool Kit
FTTx Installation ToolsSAT-02B

SAT-02B Optical Fiber Splicing Tool Kit

SAT-02B Tool kit is wonderful for optical fiber fusion splicing. It includes the most frequently required tools for preparation and cleaning optical fibers before cleaving and splicing. And well fits to Aitelong model SAT-17S and SAT-17M fusion splicers. Key FeaturesDurable field carry bagProfessional stripping tools to cutting, removing, stripping and cleaning the outer sheath, tube, coating and jacket without damaging optical fibers. SAT-02B Tool kit is wonderful for optical fiber fusion splicing. It includes the most frequently required tools for preparation and cleaning optical fibers before cleaving and splicing. And well fits to Aitelong model SAT-17S and SAT-17M fusion splicers. Key Features Durable field carry bag Professional stripping tools to cutting, removing, stripping and cleaning the outer sheath, tube, coating and jacket without damaging optical fibers.SAT-02B Tool kit is wonderful for optical fiber fusion splicing. It includes the most frequently required tools for preparation and cleaning optical fibers before cleaving and splicing. And well fits to Aitelong model SAT-17S and SAT-17M fusion splicers. Key FeaturesDurable field carry bagProfessional stripping tools to cutting, removing, stripping and cleaning the outer sheath, tube, coating and jacket without damaging optical fibers.

View Product
CT-09 Fiber Optic Microscope
FTTx Installation ToolsCT-09

CT-09 Fiber Optic Microscope

This CT-09 Fiber Optic Microscope is used for inspecting fiber terminations, providing the most critical view of fiber end faces. This mini version is smaller and easier to carry. It produces excellent details of scratches and contamination with its good optical performance and integrated laser safety filters. It is the clear choice for critical examination of polish quality.

View Product
CT-13 OTDR Launch Cable Box / Dead Zone Eliminator
FTTx Installation ToolsCT-13

CT-13 OTDR Launch Cable Box / Dead Zone Eliminator

Portable Test Fiber Launch Box provides a calibrated span of optical fiber to evaluate near-end connectors and anomalies in network fiber systems. The Launch Box is placed between the system under test and an OTDR (Optical Time Domain Reflectometer) to improve the OTDR’s ability to identify passive system components and abnormalities during system qualification and troubleshooting.

View Product
CT-10 Optical Fiber inspector
FTTx Installation ToolsCT-10

CT-10 Optical Fiber inspector

Reliability and performance of a fiber optic link largely depends on the quality of interconnects. Contaminated connectors can cause the mating surfaces to separate leading to high insertion loss and back-reflection. Furthermore, some dirt particles can even scratch or dig into the glass causing permanent damage to the end-face of the connector. Therefore, inspection of fiber optic connectors should be performed whenever a connection is to be made. The Fiber Optic Connector Inspection is an intelligent handheld video microscope suitable for inspection of patch cords, bulkhead receptacles and a variety of connectors found in fiber optic communication systems. Features: 3.5-inch TFT color display Well-centered, high resolution image Image capture and storage Instant video recording 250x Magnification 4x Digital zoom (optional) Standard tips (SC, FC, ST, LC) USB plug-and-play

View Product
Optical Fiber Patch Cord
FTTx Installation ToolsPATCH-CORD

Optical Fiber Patch Cord

2).Optical Fiber Sensor 3).Optical Fiber test equipment 4). CATV 5). FTTx, LAN,PON etc. 6). Optical fiber communication system

View Product
SAT-701E VDSL2 Tester
FTTx Installation ToolsSAT-701E

SAT-701E VDSL2 Tester

Key Festures 1). DSL Physical layer test 2). PPPoE Dialing (RFC 1683, RFC2684, RFC2516) 3). Telephone Function 4). Ping Function (WAN&LAN) 5). Setup System Parameter: backlight time, shut off automatically time   &nbs...

View Product
CWDM
FTTx Installation Tools

CWDM

Key Features     1. Low Insertion Loss     2. High Channel Isolation     3. High bandwidth     4. Great stability and reliability  Application         1. Met...

View Product
CT-14 Wifi Fiber Endface Microscope
FTTx Installation ToolsCT-14

CT-14 Wifi Fiber Endface Microscope

The primary cause of optical network problems is that the connector’s endface is dirty or damaged, so, how to quickly and efficiently diagnose is particularly important. Dimension AutoGet Wifi is industry's first foldable, all in one handheld endface ...

View Product
CT-15 Wifi Wireless Fiber Endface Microscope
FTTx Installation ToolsCT-15

CT-15 Wifi Wireless Fiber Endface Microscope

CT-15Wifi Wireless Fiber Endface Microscope The dirt and/or damage on fiber endface of the optical connectors, could directly cause attenuation or even makes the optical path blocked down, they are the most common causes of optical network ...

View Product
CT-17 Fiber Endface Interferometer
FTTx Installation ToolsCT-17

CT-17 Fiber Endface Interferometer

This is a portable type of fiber endface inspector developed by Dimension Technology. By magnifying 200~400 time of the objects, you can identity defects and scratches on the endface of connectors. It is the best choice for endface inspection. Easyget com...

View Product